Bug 169855 - RHN sends me email intended for other users
RHN sends me email intended for other users
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Martin Stadtler
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-10-04 10:04 EDT by Jason Merrill
Modified: 2010-03-26 16:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-26 16:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Merrill 2005-10-04 10:04:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Periodically I get email from RHN about other people's accounts.  Most recently was a warning to the "dentj" user that their inactive server will be deleted soon.  This seems to happen whenever someone creates an account with email address jason@unresolvable.domain; the Red Hat mailserver helpfully rewrites this to jason@unresolvable.domain.redhat.com, and then jason@redhat.com, so the mail comes to me.

I see two fixes for this; ideal would be both.
1) Check email addresses at account creation time to make sure they actually work, perhaps by sending verification email.
2) Don't add .redhat.com to email addresses coming out of RHN in order to make them sensible; just let them bounce.

Received: from scripts1.app.phx.redhat.com (localhost.localdomain [])
	by scripts1.app.phx.redhat.com (8.13.1/8.13.1) with ESMTP id j9495kHs006782
	for <jason@copytechllc.com.redhat.com>; Tue, 4 Oct 2005 05:09:30 -0400
Received: (from root@localhost)
	by scripts1.app.phx.redhat.com (8.13.1/8.13.1/Submit) id j948mD5B004436;
	Tue, 4 Oct 2005 04:48:13 -0400

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Jesus M. Rodriguez 2006-06-02 23:00:24 EDT
This sounds bad.  We should totally look at this.
Comment 2 Jason Merrill 2007-02-09 12:15:45 EST
If you're going to close this as WONTFIX, please at least make some sort of
comment about why.  It seems like it should be very easy to fix this in the
mailserver configuration, just make it treat mail coming from RHN without the
usual special rules.
Comment 3 Jason Merrill 2007-06-04 10:12:12 EDT
I got four more of these emails on 5/17.
Comment 5 Grant Gainey 2010-03-26 16:14:48 EDT
This happens only to people with @redhat.com email addresses, whose email-name matches to the email-name of a customer address that fails.

Somewhere in the networking stack, *long* after an email has left RHN, lies a filter that notices failing emails.  Wherever that filter is, it takes a failing email of the form "foobar@blech.com" and tries delivery to "foobar@redhat.com".

We've tried to find out where this happens, but it's very far away from RHN, in the production cloud somewhere.

I'm going to close this - RHN isn't causing the behavior, and we can't fix it :(

Note You need to log in before you can comment on or make changes to this bug.